/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.model.framestore;

import java.net.*;

import edu.stanford.smi.protege.model.*;

public class InMemoryFrameStore extends SimpleFrameStore {
    public InMemoryFrameStore(KnowledgeBase kb) {
        // super(kb, new ClosureCachingBasicFrameStore(new InMemoryFrameDb()));
        super(kb, new ClosureCachingBasicFrameStore(new MergingNarrowFrameStore(kb)));
        addSystemFrames();
        MergingNarrowFrameStore mfs = (MergingNarrowFrameStore) getHelper().getDelegate();
        mfs.addActiveFrameStore(new InMemoryFrameDb(getName(kb)));
    }

    private static String getName(KnowledgeBase kb) {
        String name = null;
        Project p = kb.getProject();
        if (p != null) {
            URI uri = p.getProjectURI();
            if (uri != null) {
                name = uri.toString();
            }
        }
        if (name == null) {
            name = kb.getName();
        }
        return name;
    }

}