/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.resource;

import java.awt.*;

import javax.swing.*;

/**
 * TODO Class Comment
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
class ClsIcon implements Icon {
    private static final int ICON_SIZE = 16;
    private static final int CIRCLE_SIZE = 10;

    public void paintIcon(Component c, Graphics g, int x, int y) {
        g.translate(x, y);
        Color color = g.getColor();
        g.setColor(Colors.getClsColor());
        int offset = (ICON_SIZE - CIRCLE_SIZE) / 2;
        g.fillOval(offset, offset, CIRCLE_SIZE, CIRCLE_SIZE);
        g.setColor(color);
        g.translate(-x, -y);
    }

    public int getIconWidth() {
        return ICON_SIZE;
    }

    public int getIconHeight() {
        return ICON_SIZE;
    }
}
