/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

/**
 * 
 */
package edu.stanford.smi.protege.server.framestore.background;


import edu.stanford.smi.protege.model.Frame;
import edu.stanford.smi.protege.model.framestore.FrameStore;

/*
 * This is a little bit of a hack at the moment because unfortunately this 
 * class is encoding some OWL knowledge...  A better solution would be to have
 * the OWL knowledge bases enter some of this state information.
 */

public enum State {
  Start, SubClass, OwlExpr, RDFList, End;
  
  public boolean entryCondition(FrameStore fs, Frame f) {
    switch (this) {
    case OwlExpr:
      return isOWLAnonymous(fs, f);
    case SubClass:
      return !isOWLAnonymous(fs, f);
    default:
      return true;
    }
  }
  
  private boolean isOWLAnonymous(FrameStore fs, Frame f) {
    return fs.getFrameName(f).startsWith("@");
  }
}